URL structure
{contactId} is the ID of a Covata user’s contact.
Supported methods and overview
PUT- used to modify the fields of an existing contact that belongs to the currently authenticated Covata user*, based on the contact’s ID.DELETE- used to remove an existing contact belonging to the currently authenticated Covata user.
The
DELETE method takes no parameters.Detailed description
This API endpoint serves a number of purposes:- Modifies the fields (i.e. the email address, first name and/or last name) of an existing contact that belongs to the currently authenticated Covata user*, based on the contact’s ID.
A contact’s ID is obtained by calling theGETmethod of the <access-service>/api/v1/users/me/contacts API endpoint, which retrieves a list of field information for all contacts of the currently authenticated Covata user.
Note: A contact’s email address can be modified to one which does not match a registered Covata user account. However, as to whether or not sharing the currently authenticated Covata user’s content with this modified contact will succeed, ultimately depends on the contact’s email address complying with a rule of an enabled user whitelist on the Covata Platform. If this content is successfully shared with this contact, then a new Covata user account is automatically created for this contact (with the Ad hoc role). - Removes an existing contact belonging to the currently authenticated Covata user, based on the contact’s ID.
Supported roles
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator’s Guide): The Covata Platform’s resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.Required headers
The appropriate access token as theBearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
Content-Type: application/json
Required parameters
The following required parameters must be sent in the body of the PUT request, as individual members of a JSON object:- email - . Example ():
Optional parameters
The following optional parameters can also be sent in the body of the PUT request, each as individual members of the JSON object that includes the Required parameters above:- firstName - .
- lastName - . Example ():
Returns from a PUT request
A JSON-formatted response containing the following members:- id - .
- email - .
- firstName - .
- lastName - .
- createdAt - .
- modifiedAt - . Example (response from …):
Returns from a DELETE request
If the request succeeded, then an HTTP response status200 OK is returned.
* The currently authenticated user is determined by the access token passed in the header of requests to this endpoint.
